<?php

/*
  Plugin Name: Tickera - Full Order Price Ticket Element Woo
  Plugin URI: http://tickera.com/
  Description:
  Author: Tickera.com
  Author URI: http://tickera.com/
  Version: 1.0
  TextDomain: tc
  Domain Path: /languages/
  Copyright 2015 Tickera (http://tickera.com/)
 */



if ( !defined( 'ABSPATH' ) )
	exit; // Exit if accessed directly



if ( !class_exists( 'TC_Order_Price_Element' ) ) {



	class TC_Order_Price_Element {

		var $version = '1.0';
		var $title = 'Tickera Ticket Price Element';
		var $name = 'custom-tickera-ticket-element-order-price';
		var $dir_name = 'custom-tickera-ticket-element-order-price';
		var $location = 'plugins';
		var $plugin_dir = '';
		var $plugin_url = '';

		function __construct() {

			$this->init_vars();

			add_action( 'plugins_loaded', array( &$this, 'load_ticket_template_elements' ) );
		}

		function init_vars() {



			if ( defined( 'WP_PLUGIN_URL' ) && defined( 'WP_PLUGIN_DIR' ) && file_exists( WP_PLUGIN_DIR . '/' . $this->dir_name . '/' . basename( __FILE__ ) ) ) {

				$this->location = 'subfolder-plugins';

				$this->plugin_dir = WP_PLUGIN_DIR . '/' . $this->dir_name . '/';

				$this->plugin_url = plugins_url( '/', __FILE__ );
			} else if ( defined( 'WP_PLUGIN_URL' ) && defined( 'WP_PLUGIN_DIR' ) && file_exists( WP_PLUGIN_DIR . '/' . basename( __FILE__ ) ) ) {

				$this->location = 'plugins';

				$this->plugin_dir = WP_PLUGIN_DIR . '/';

				$this->plugin_url = plugins_url( '/', __FILE__ );
			} else if ( is_multisite() && defined( 'WPMU_PLUGIN_URL' ) && defined( 'WPMU_PLUGIN_DIR' ) && file_exists( WPMU_PLUGIN_DIR . '/' . basename( __FILE__ ) ) ) {

				$this->location = 'mu-plugins';

				$this->plugin_dir = WPMU_PLUGIN_DIR;

				$this->plugin_url = WPMU_PLUGIN_URL;
			} else {

				wp_die( sprintf( __( 'There was an issue determining where %s is installed. Please reinstall it.', 'tc' ), $this->title ) );
			}
		}

		function load_ticket_template_elements() {

			//get ticket elements dir

			$dir = $this->plugin_dir . 'ticket-elements/';



			$ticket_template_elements = array();



			if ( !is_dir( $dir ) )
				return;

			if ( !$dh = opendir( $dir ) )
				return;

			while ( ( $plugin = readdir( $dh ) ) !== false ) {

				if ( substr( $plugin, -4 ) == '.php' )
					$ticket_template_elements[] = $dir . '/' . $plugin;
			}

			closedir( $dh );

			sort( $ticket_template_elements );



			foreach ( $ticket_template_elements as $file )
				include( $file );



			do_action( 'tc_load_custom_ticket_template_elements' );
		}

	}

}



$TC_Order_Price_Element = new TC_Order_Price_Element();

