<?php

	class TC_Order_Price_Template_Elements extends TC_Ticket_Template_Elements {

		var $element_name = 'TC_Order_Price_Template_Elements';
		var $element_title = 'Ticket Price and Fee';
		var $font_awesome_icon = '<i class="fa fa-align-center"></i>';

		function on_creation() {

			$this->element_title = 'Ticket Price and Fee';
		}

		function get_value( $label = 'Text' ) {

			$field_name = 'text_content';
			?>

			<label><?php echo $label; ?></label>

			<input type="text" name="<?php echo $this->element_name; ?>_<?php echo $field_name; ?>_post_meta" value="<?php echo isset( $this->template_metas[ $this->element_name . '_' . $field_name ] ) ? $this->template_metas[ $this->element_name . '_' . $field_name ] : ''; ?>" />

			<?php
		}

		function admin_content() {

			echo $this->get_font_sizes();

			echo $this->get_font_style();

			echo $this->get_font_colors();

			echo $this->get_cell_alignment();

			echo $this->get_element_margins();

			do_action( 'tc_ticket_admin_content' );

			echo $this->get_value();
		}

		function ticket_content( $ticket_instance_id = false, $ticket_type_id = false ) {
                    $order_id = wp_get_post_parent_id( $ticket_instance_id );
                    
                    $ticket_type_id = get_post_meta($ticket_instance_id, 'ticket_type_id', true);
                    $ticket_price = get_post_meta($ticket_type_id, 'price_per_ticket', true);
                    $ticket_fee = get_post_meta($ticket_type_id, 'ticket_fee', true);
                    $ticket_percentage_type = get_post_meta($ticket_type_id, 'ticket_fee_type', true);
                    $fee = ($ticket_fee / 100) * $ticket_price;
                    
                    $order = new TC_Order($order_id);

                    $display_sign = $order->details->tc_cart_info['currency'];
                    
                    
                    
                    return 'Ticket: '.$ticket_price.$order->details->tc_cart_info['currency'].' <br/>Fee: '.$fee.$display_sign; 
                    return isset( $this->template_metas[ $this->element_name . '_' . $field_name ] ) ? $this->template_metas[ $this->element_name . '_' . $field_name ] : '';
		
                    
                    
                }

	}

	tc_register_template_element( 'TC_Order_Price_Template_Elements', __( 'Ticket Price And Fee', 'tc' ) );

